/*---------------------------------------------------------------------
 * $Date: 93/07/12 18:13:10 $             $Revision: 2.6.6.1 $
 *---------------------------------------------------------------------
 * 
 *
 *             Copyright (c) 1991, Visual Edge Software Ltd.
 *
 * ALL  RIGHTS  RESERVED.  Permission  to  use,  copy,  modify,  and
 * distribute  this  software  and its documentation for any purpose
 * and  without  fee  is  hereby  granted,  provided  that the above
 * copyright  notice  appear  in  all  copies  and  that  both  that
 * copyright  notice and this permission notice appear in supporting
 * documentation,  and that  the name of Visual Edge Software not be
 * used  in advertising  or publicity  pertaining to distribution of
 * the software without specific, written prior permission. The year
 * included in the notice is the year of the creation of the work.
 *-------------------------------------------------------------------*/

/*------------------------------------------------------------
 * This is a utility file required when generating C++
 * code. 
 * 			     
 * Do not modify the statements preceded by the dollar
 * sign ($), these statements will be replaced with
 * the appropriate source code when the main program is
 * automatically generated. 
 *			
 * $Date: 93/07/12 18:13:10 $  		$Revision: 2.6.6.1 $ 
 *-----------------------------------------------------------*/

#ifdef __cplusplus

#ifdef XT_CODE
#       include "UxXt.h"
#else /* XT_CODE */
#       include "UxLib.h"
#endif /* XT_CODE */

/* Global environment variable supplied for the user's convenience */
#ifndef DESIGN_TIME
Environment UxEnv = {NO_EXCEPTION};
#endif



/*------------------------------------------------------------------------
 * UxChildSite (sw)
 * INPUT:	swidget sw;
 * Gets the designatedChildSite by calling the childSite method.
 * If the childSite is an intance, we recur by calling the childSite's 
 * childSite method and so on...
 * LAST REV:	March 2 1993	- Created
 *------------------------------------------------------------------------*/
swidget	_UxCInterface::UxChildSite (swidget proposedParent)
{
	_UxCInterface	*ppIface;

	if (!proposedParent) {
		return NULL;
	}

	ppIface = (_UxCInterface *) UxGetContext (proposedParent);
	if (ppIface && (ppIface != this)) {
		swidget preferredParent = ppIface->childSite(&UxEnv);
		if (preferredParent) {
			return ppIface->UxChildSite(preferredParent);
		}
	}
	return proposedParent;
}
#endif /* __cplusplus */
